Bug 860515 - (mate-themes) Review Request: mate-themes - MATE Desktop themes
Review Request: mate-themes - MATE Desktop themes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-09-25 23:24 EDT by Dan Mashal
Modified: 2012-10-14 20:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-14 20:47:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2012-09-26 13:50:15 EDT
moar fun to do!
Comment 2 Jens Petersen 2012-09-28 02:39:51 EDT
As a general style comment, I think it is clearer to put each BR dependency
on a separate line, though this one also has a fair number of deps...
Comment 3 Jens Petersen 2012-09-28 03:09:11 EDT
For F18 and F19 can't build until mate-settings-daemon is built.

http://koji.fedoraproject.org/koji/getfile?taskID=4536295&name=root.log&offset=-4000
Comment 4 Dan Mashal 2012-09-28 03:28:26 EDT
Will fix asap
Comment 5 Rex Dieter 2012-09-28 09:41:42 EDT
naming: ok

license: ok

sources: ok
7fda787ad446c43f13baceedcbd8de50  mate-themes-1.4.0.tar.xz


1. SHOULD: include
BuildArch: noarch
as seems to be all architecture-independent content


2. scriptets: NOT ok
MUST: add icon scriplets for each icon theme installed.  for example,

%post
touch --no-create %{_datadir}/icons/Fog &> /dev/null || :
touch --no-create %{_datadir}/icons/PrintLarge &> /dev/null || :
touch --no-create %{_datadir}/icons/Quid &> /dev/null || :
...

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/Fog &> /dev/null || :
touch --no-create %{_datadir}/icons/PrintLarge &> /dev/null || :
touch --no-create %{_datadir}/icons/Quid &> /dev/null || :
...
gtk-update-icon-cache %{_datadir}/icons/Fog &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/PrintLarge &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Quid &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Fog &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/PrintLarge &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Quid &> /dev/null || :
...


3. MUST fix BuildRequires.  Current BuildRequires is way too much, and missing a couple items, this minimal set seems to work for me:

BuildRequires: icon-naming-utils mate-common mate-doc-utils
# aka gtk2-engines-devel
BuildRequires: pkgconfig(gtk-engines-2)
Comment 6 Dan Mashal 2012-09-30 17:59:48 EDT
OK. Fixed per your direction.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-themes.spec 
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-themes-1.4.0-2.fc17.src.rpm
Description: MATE Desktop themes
Comment 7 Rex Dieter 2012-10-02 21:39:40 EDT
still missing a handful of icon scriptlets, but I'll leave to you to fix prior to issuing any official builds.


APPROVED.
Comment 8 Dan Mashal 2012-10-02 21:52:57 EDT
New Package SCM Request
=======================
Package Name: mate-themes
Short Description: MATE Desktop themes
Owners: rdieter vicodan
Branches: f16 f17 f18
Comment 9 Jon Ciesla 2012-10-03 06:57:22 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-10-03 17:40:09 EDT
mate-themes-1.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-themes-1.4.0-3.fc17
Comment 11 Fedora Update System 2012-10-03 17:40:19 EDT
mate-themes-1.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-themes-1.4.0-3.fc18
Comment 12 Fedora Update System 2012-10-03 22:06:02 EDT
mate-themes-1.4.0-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Dan Mashal 2012-10-14 20:47:05 EDT
not sure why bodhi isn't closing bugs but both f18 and f17 packages have been pushed to stable.

Note You need to log in before you can comment on or make changes to this bug.